<%@ page import="com.jetbrains.teamcity.ring.web.settings.export.RingExportDialogController" %>
<%@ include file="/include.jsp" %>
<jsp:useBean id="exportBean" scope="request" type="com.jetbrains.teamcity.ring.web.settings.export.ExportBean"/>
<c:set var="factoryEnabledIdPrefix"><%=RingExportDialogController.FACTORY_ENABLED_PREFIX%></c:set>

<span>Choose the user group to export with its members:</span><br/><br/>

<forms:select name="exportUserGroupKey" onchange="return BS.RingExportDialog._updateExportRoot();" enableFilter="true" style="width: 99%;">
  <c:forEach items="${exportBean.exportRoots}" var="exportRoot">
    <c:set var="userGroup" value="${exportRoot.userGroup}"/>
    <%--@elvariable id="userGroup" type="jetbrains.buildServer.groups.UserGroupEx"--%>
    <c:set var="userGroupKey" value="${userGroup.key}"/>
    <c:set var="text">${userGroup.name}<c:if test="${not empty userGroup.description}"> (${userGroup.description})</c:if></c:set>
    <forms:option value="${userGroupKey}" selected="${userGroup.allUsersGroup}"><bs:trim maxlength="80">${text}</bs:trim></forms:option>
    <script type="text/javascript">
      BS.RingExportDialog._userToExportCount['${userGroupKey}'] = ${exportRoot.userToExportCount};
      BS.RingExportDialog._groupToExportCount['${userGroupKey}'] = ${exportRoot.userGroupToExportCount};
    </script>
  </c:forEach>
</forms:select>
<span id="error_exportUserGroupKey" class="error" style="margin-left: 0;"></span>

<br/><span id="itemsToExportDescription"></span><br/><br/>

<forms:checkbox name="exportUsers" checked="${true}" onclick="return BS.RingExportDialog._updateExportSettingsForm('userDetailsExportSettingsForm', this.checked);"/>
<label for="exportUsers">Export users</label><br/>
<forms:checkbox name="exportUserGroups" checked="${true}"/>
<label for="exportUserGroups">Export user groups</label>
<span id="error_exportOptions" class="error" style="margin-left: 0;"></span>

<br/><span>Choose user details to export:</span><br/><br/>

<div id="userDetailsExportSettingsForm">
  <c:forEach items="${exportBean.factoryWrappers}" var="factoryWrapper" varStatus="index">
    <c:set var="factory" value="${factoryWrapper.factory}"/>
    <c:set var="settingsJspPath" value="${factory.settingsJspPath}"/>
    <c:set var="formId" value="exportSettingsForm_${index.index}"/>
    <div>
      <c:set var="factoryEnabledId">${factoryEnabledIdPrefix}${factoryWrapper.factoryId}</c:set>
      <forms:checkbox name="${factoryEnabledId}" checked="${factory.enabledByDefault}" onclick="return BS.RingExportDialog._updateExportSettingsForm('${formId}', this.checked);"/>
      <label for="${factoryEnabledId}"><c:out value="${factory.description}"/></label>
      <c:if test="${not empty settingsJspPath}">
        <div id="${formId}" style="margin-left: 20px; background-color: #f5f5f5; padding: 7px 10px 10px 10px;">
          <jsp:include page="${settingsJspPath}"/>
        </div>
      </c:if>
    </div>
    <script type="text/javascript">
      BS.RingExportDialog._updateExportSettingsForm('${formId}', ${factory.enabledByDefault});
    </script>
  </c:forEach>
</div>
<span id="error_export" class="error" style="margin: 1em 0;"></span>

<script type="text/javascript">
  BS.RingExportDialog._updateExportRoot();
</script>
