<%@ page import="com.jetbrains.teamcity.ring.web.settings.RingSettingsMiscellaneousTab" %>
<%@ include file="/include-internal.jsp" %>
<jsp:useBean id="ringSettingsBean" scope="request" type="com.jetbrains.teamcity.ring.web.settings.RingSettingsMiscellaneousBean"/>
<jsp:useBean id="serverTC" type="jetbrains.buildServer.serverSide.SBuildServer" scope="request"/>
<c:set var="optionIdPrefix"><%=RingSettingsMiscellaneousTab.OPTION_PREFIX%></c:set>

<div class="groupingTitle">Filters</div>

<form action="#" id="ringUserFiltersForm" onsubmit="return false;">
  <c:set var="ringQuerySyntaxHelp"><bs:help urlPrefix="https://www.jetbrains.com/hub/help/1.0/Query-Syntax.html" file=""/></c:set>
  <table>
    <tr>
      <td style="vertical-align: top; padding-top: 4px;"><label for="userFilter">Hub users filter:</label> ${ringQuerySyntaxHelp}</td>
      <td>
        <div>
          <forms:textField name="userFilter" value="${ringSettingsBean.userFilter}" className="longField"/>
          <forms:button onclick="window.open('${ringSettingsBean.hubUrl}?query=' + encodeURIComponent($('userFilter').value), 'hubWindow', 'width=1000,height=600');">Open in Hub</forms:button>
        </div>
        <span class="grayNote">During synchronization and authentication only accept the users matching the specified filter. Leave blank to accept all of the Hub users.</span>
      </td>
    </tr>
    <c:if test="${intprop:getBoolean('teamcity.hubPlugin.groupSync.options.enabled')}">
    <tr>
      <td style="vertical-align: top; padding-top: 12px;"><label for="ringUserGroupFilterField">User group filter:</label> ${ringQuerySyntaxHelp}</td>
      <td style="padding-top: 8px;">
        <div>
          <forms:textField name="userGroupFilter" id="ringUserGroupFilterField" value="${ringSettingsBean.userGroupFilter}" className="longField"/>
        </div>
        <span class="grayNote">Used for synchronization only</span>
      </td>
    </tr>
    </c:if>
  </table>
  <c:set var="showSyncWarning" value="${ringSettingsBean.syncOptions.userSyncEnabled && (ringSettingsBean.syncOptions.createUsers or ringSettingsBean.syncOptions.deleteUsers)}"/>
  <input class="submitButton btn" type="submit" value="Save" onclick="return BS.RingSettings.updateUserFilters(${showSyncWarning});">
  <forms:progressRing id="ringUserFiltersProgress" style="display: none; float: none;"/>
  <input type="hidden" name="curUserFilter" id="curUserFilter" value="${ringSettingsBean.userFilter}"/>
</form>
