BS.AliasItem = {
  makeMain: function(type, aliasId, mainId) {
    return BS.AliasItem._doAction("makeMain", type, aliasId, mainId, '/hubPlugin/make' + type + 'Main.html');
  },

  deleteAliases: function(type, mainId) {
    return BS.AliasItem._doAction("deleteAliases", type, mainId, mainId, '/hubPlugin/delete' + type + 'Aliases.html');
  },

  _doAction: function(action, type, itemId, formId, path) {
    BS.AliasItem._beforeAjax(action, type, itemId, formId);
    BS.ajaxRequest(window['base_uri'] + path, {
      parameters: {
        itemId: itemId
      },
      onComplete: function() {
        window.location.reload();
      }
    });
    return false;
  },

  _beforeAjax: function(action, type, itemId, formId) {
    BS.Util.disableFormTemp($("alias" + type + "Form-" + formId));
    BS.Util.show("" + action + type + "Progress-" + itemId);
  }
};