<%@ page import="com.jetbrains.teamcity.ring.web.settings.project.ProjectRingSettingsTab" %>
<%@ include file="/include-internal.jsp" %>
<jsp:useBean id="projectRingSettingsBean" scope="request" type="com.jetbrains.teamcity.ring.web.settings.project.ProjectRingSettingsBean"/>
<c:set var="noneItemId"><%=ProjectRingSettingsTab.NONE_ID.getId()%></c:set>

<bs:refreshable containerId="ringDiv" pageUrl="${pageUrl}">
  <c:set var="project" value="${projectRingSettingsBean.project}"/>
  <c:set var="matchedParentProject" value="${projectRingSettingsBean.matchedParentProject}"/>
  <c:set var="matchedRingProject" value="${projectRingSettingsBean.matchedRingProject}"/>
  <c:set var="matchedRingProjectVisible" value="${projectRingSettingsBean.matchedRingProjectVisible}"/>

  <span>Project <c:if test="${not empty matchedParentProject}"><c:set var="_project" value="${matchedParentProject}" scope="request"/>belongs to the <jsp:include page="_editProjectRingSettingsLink.jsp"/> project that </c:if
  ><c:choose><c:when test="${empty matchedRingProject}"><c:choose><c:when test="${matchedRingProjectVisible}">is <strong>not matched</strong> with any Hub project</c:when><c:otherwise>is <strong>matched</strong> with Hub project you do not have enough permissions to see</c:otherwise></c:choose></c:when><c:otherwise>is <strong>matched</strong> with the <a href="${matchedRingProject.url}"><c:out value="${matchedRingProject.name}"/></a> Hub project</c:otherwise></c:choose></span>
  <c:if test="${empty matchedParentProject and not project.rootProject}">
    <c:set var="ringProjects" value="${projectRingSettingsBean.ringProjects}"/>
    <c:if test="${not empty ringProjects or not empty matchedRingProject}">
      <br/><br/>
      <c:set var="suggestedRingProjectId" value="${projectRingSettingsBean.suggestedRingProjectId}"/>
      <form id="matchProjectForm" action="#">
        <span>Match project to the</span>&nbsp;
        <forms:select name="ringProjectId" enableFilter="true">
          <forms:option value="${noneItemId}">&lt;none&gt;</forms:option>
          <c:forEach items="${ringProjects}" var="ringProject">
            <forms:option value="${ringProject.id}" selected="${ringProject.id eq suggestedRingProjectId}"><c:out value="${ringProject.name}"/></forms:option>
          </c:forEach>
        </forms:select>
        &nbsp;<span>Hub project</span>&nbsp;
        <input type="button" class="btn btn_primary" value="Match" onclick="return BS.ProjectRingSettings.matchProject('${project.externalId}');"/>&nbsp;
        <forms:progressRing id="matchProjectProgress" style="display: none; float: none;"/>
        <span id="error_match" class="error" style="margin: 1em 0;"></span>
      </form>
      <c:set var="matchedChildProjects" value="${projectRingSettingsBean.matchedChildProjects}"/>
      <c:if test="${not empty matchedChildProjects}">
        <div class="attentionComment">
          <span>The following projects match will be reset on matching this project:</span><br/>
          <c:forEach items="${matchedChildProjects}" var="matchedChildProject" varStatus="status">
            <c:set var="_project" value="${matchedChildProject}" scope="request"/>
            <jsp:include page="_editProjectRingSettingsLink.jsp"/>
            <c:if test="${not status.last}"><br/></c:if>
          </c:forEach>
        </div>
      </c:if>
    </c:if>
  </c:if>
</bs:refreshable>